Score transaction
curl --request POST \
--url https://api.txcloud.io/v1/transactions/score \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"currency": "<string>",
"sender": {
"user_id": "<string>",
"account_id": "<string>",
"device_id": "<string>",
"ip_address": "<string>"
},
"recipient": {
"type": "<string>",
"value": "<string>",
"name": "<string>"
},
"transaction_id": "<string>",
"context": {},
"metadata": {}
}
'import requests
url = "https://api.txcloud.io/v1/transactions/score"
payload = {
"amount": 123,
"currency": "<string>",
"sender": {
"user_id": "<string>",
"account_id": "<string>",
"device_id": "<string>",
"ip_address": "<string>"
},
"recipient": {
"type": "<string>",
"value": "<string>",
"name": "<string>"
},
"transaction_id": "<string>",
"context": {},
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
currency: '<string>',
sender: {
user_id: '<string>',
account_id: '<string>',
device_id: '<string>',
ip_address: '<string>'
},
recipient: {type: '<string>', value: '<string>', name: '<string>'},
transaction_id: '<string>',
context: {},
metadata: {}
})
};
fetch('https://api.txcloud.io/v1/transactions/score', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"processing_time_ms": 123,
"decision": "approve",
"risk_score": 123,
"risk_level": "<string>",
"signals": {
"positive": [
"<string>"
],
"negative": [
"<string>"
]
},
"checks": {},
"rules_triggered": [
{}
]
}Scoring
Score transaction
Scores a transaction in real-time before authorization
POST
/
transactions
/
score
Score transaction
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
p2p_transfer, bill_payment, merchant_payment, cash_withdrawal, bank_transfer, international_transfer Show child attributes
Show child attributes
Show child attributes
Show child attributes